# Interface TaskDestroyables

@Incubating public interface TaskDestroyables
Represents the files or directories that a `Task` destroys (removes).

Since:
  4.0

## Method Summary

Modifier and Type
Method
Description
`void`
`file(Object path)`
Deprecated.
Use `register(Object...)` instead.
`void`
`files(Object... paths)`
Deprecated.
Use `register(Object...)` instead.
`void`
`register(Object... paths)`
Registers files or directories that this task destroys.

## Method Details

### register

void register(Object... paths)
Registers files or directories that this task destroys.

Parameters:
  `paths` - The files or directories that will be destroyed. The given paths are evaluated as per `Project.files(Object...)`.
Since:
  4.3

### files

@Deprecated void files(Object... paths)
Deprecated.
Use `register(Object...)` instead.
Registers some files that this task destroys.

Parameters:
  `paths` - The files that will be destroyed. The given paths are evaluated as per `Project.files(Object...)`.

### file

@Deprecated void file(Object path)
Deprecated.
Use `register(Object...)` instead.
Registers a file or directory that this task destroys.

Parameters:
  `path` - A file that will be destroyed. The given path is evaluated as per `Project.files(Object...)`.